package br.com.evologica.mvp.data.db;

import org.json.JSONException;
import org.json.JSONObject;

import br.com.evologica.mvp.data.db.model.Sensor;
import br.com.evologica.mvp.data.db.model.Stream;
import br.com.evologica.mvp.data.db.model.StreamData;

/**
 * Created by marcussales on 02/10/2017.
 */

public class AppDbHelper implements DbHelper {

    @Override
    public Sensor createSensor(JSONObject jsonObject) throws JSONException {
        return new Sensor(jsonObject);
    }

    @Override
    public Stream createStream(JSONObject jsonObject) throws JSONException {
        return new Stream(jsonObject);
    }

    @Override
    public StreamData createStreamData(JSONObject jsonObject) throws JSONException {
        return new StreamData(jsonObject);
    }
}
