package br.com.evologica.mvp.data.network;

import com.androidnetworking.AndroidNetworking;
import com.androidnetworking.common.ANRequest;

/**
 * Created by marcussales on 02/10/2017.
 */

public class AppApiHelper implements ApiHelper {

    @Override
    public ANRequest getAllStreams() {
        return AndroidNetworking.get("http://multicast.vix.br:8082/sensors")
                .addHeaders("X-AUTH-TOKEN", "cba991ae0c38408a84cf01687c60d075")
                .build();
    }

    @Override
    public ANRequest getDetailSensor(int oidSensor) {
        return AndroidNetworking.get("http://multicast.vix.br:8082/sensors/" + oidSensor)
                .addHeaders("X-AUTH-TOKEN", "cba991ae0c38408a84cf01687c60d075")
                .build();
    }

    @Override
    public ANRequest getDetailStream(int oidSensor, int oidStream) {
        return AndroidNetworking.get("http://multicast.vix.br:8082/sensors/" + oidSensor + "/streams/" + oidStream)
                .addHeaders("X-AUTH-TOKEN", "cba991ae0c38408a84cf01687c60d075")
                .build();
    }
}
