package br.com.evologica.mvp.data.db.model;

import org.json.JSONException;
import org.json.JSONObject;

/**
 * Created by marcussales on 02/10/2017.
 */

public class Sensor {

    private int oid;
    private String nome;
    private String key;
    private int streamNumber;

    public Sensor(JSONObject jsonObject) throws JSONException {
        this.oid = jsonObject.getInt("oid");
        this.nome = jsonObject.getString("name");
        this.key = jsonObject.getString("key");
        this.streamNumber = jsonObject.getJSONArray("streams").length();
    }

    public int getOid() {
        return oid;
    }

    public String getNome() {
        return nome;
    }

    public String getKey() {
        return key;
    }

    public int getStreamNumber() {
        return streamNumber;
    }
}
