package br.com.evologica.mvp.data.db.model;

import org.json.JSONException;
import org.json.JSONObject;

import java.util.Date;

/**
 * Created by marcussales on 02/10/2017.
 */

public class StreamData {

    private Date date;
    private String value;

    public StreamData(JSONObject jsonObject) throws JSONException {
        this.date = new Date(jsonObject.getLong("serverTimestamp"));
        this.value = jsonObject.getJSONArray("values").getJSONObject(0).getString("value");
    }

    public Date getDate() {
        return date;
    }

    public String getValue() {
        return value;
    }
}
